kbdcontrol(1)

NAME
kbdcontrol - a utility for manipulating the syscons keyboard driver section.

SYNOPSIS
kbdcontrol [options]

DESCRIPTION
The kbdcontrol command is used to set various keyboard related options for the syscons console driver, such as keymap, keyboard repeat & delay rates, bell characteristics etc.

OPTIONS

The following command line options are supported.

-b [duration.pitch|normal|visual]
    Set the bell duration and pitch values. Argument may also be one of normal which set sound parameters back to normal values, or visual which set the bell to visual mode, ie flashes the screen instead.

-r [delay.repeat|slow|fast|normal]
    Set keyboard delay and repeat rates, or use presets for slow, fast or normal.

-l mapfile
    Install keyboard map file from mapfile

-d  Dump the current keyboard map onto stdout

-f # string
    Set function key number # to send string

-F  Set function keys back to the standard definitions.

-x  Use hexadecimal numbers in keyboard map dump.

-h #
    Set history buffer size (in lines).

FILES
/usr/share/syscons/keymaps

BUGS
Report when found.

SEE ALSO
vidcontrol(1), keyboard(4), screen(4).

AUTHORS
Søren Schmidt (sos@FreeBSD.org)